# $Revision: 1.8 $, $Date: 2002/04/24 22:33:13 $
Summary:	Linux version of Rick Dangerous
Summary(pl):	Wersja Linux starej gry	Rick Dangerous
Name:		xrick
Version:	010808
Release:	2
License:	Unknown
Group:		X11/Applications/Games
Source0:	http://www.bigorno.net/%{name}/%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-cflags.patch
Icon:		xrick.xpm
URL:		http://www.bigorno.net/%{name}/
BuildRequires:	SDL-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Way before Lara Croft, back in the 1980's and early 1990's, Rick
Dangerous was the Indiana Jones of computer games, running away from
rolling rocks, avoiding traps, from South America to a futuristic
missile base via Egypt and the Schwarzendumpf castle. The game was
released for the Atari ST, the IBM PC, and many more platforms.

xrick is a complete rewrite of Rick Dangerous, and has been ported to
Linux, Windows, BeOs, Amiga, ...

%description -l pl
Dugo zanim pojawia si Lara Croft, w latach 80-tych i w pocztku
90-tych, Rick Dangerous by Indiana Jones'em gier komputerowych,
uciekajc przed toczcymi si kamieniami, unikajc puapek, od
Poudniowej Ameryki do futurystycznej bazy rakietowej, przez Egipt i
zamek Schwarzendumpf. Gra bya wydana dla Atari ST, IBM PC i wiele
innych platform.

xrick to waciwie napisany od nowa Rick Dangerous ktry zosta
przeniesiony na Linux, Windows BeOS, Amiga, ...

%prep
%setup -qn xrick
%patch0 -p1

%build
./config
%{__make} OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d  $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_applnkdir}/Games}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_applnkdir}/Games/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xrick.spec,v $
Revision 1.8  2002/04/24 22:33:13  marcus
- rel.2.

Revision 1.7  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/18 10:59:58  jajcus
- Version: 010808

Revision 1.3  2001/07/21 18:02:20  kloczek
- add png Icon for desktop file,
- move xpm icon to Icon.

Revision 1.2  2001/07/21 14:58:28  jajcus
- adapterized

Revision 1.1  2001/07/21 14:57:09  jajcus
- Rick Dangerous' Linux version
